/api/v1/tiers (POST)
const url = 'https://api.endless.zaia.app/api/v1/tiers';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"description":"example","maxAssistantMessages":1,"name":"example","prompt":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/tiers \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "maxAssistantMessages": 1, "name": "example", "prompt": "example" }'Creates a new tier.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
A description of the tier.
The maximum number of assistant messages allowed for this tier.
The name of the tier.
The prompt associated with the tier to be injected into the agent.
Examplegenerated
{ "description": "example", "maxAssistantMessages": 1, "name": "example", "prompt": "example"}Responses
Seção intitulada “Responses”The tier was created.
object
A UUID v4 string that identifies an entity.
A description of the tier.
The maximum number of assistant messages allowed for this tier.
The name of the tier.
The prompt associated with the tier to be injected into the agent.
The ID of the workspace this tier belongs to.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "description": "example", "maxAssistantMessages": 1, "name": "example", "prompt": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Tier name already exists in this workspace.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}